Overview | Package | Class | Tree | Deprecated | Index | Help
| SolarMetric Kodo JDO 3.0.3 generated on February 20 2004
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: INNER | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## kodo.event
Class TCPRemoteCommitProvider.HostAddress

    java.lang.Object
      |
      +--kodo.event.TCPRemoteCommitProvider.HostAddress

Enclosing class:
  TCPRemoteCommitProvider

protected static class TCPRemoteCommitProvider.HostAddress
extends Object

Utility class to store an InetAddress and an int. Not using InetSocketAddress because it's a JDK1.4 API.

Field Summary
`protected InetAddress` | `address`
`protected static int` | `DEFAULT_PORT`
`protected int` | `port`

Constructor Summary
`protected` | `TCPRemoteCommitProvider.HostAddress(String host)` Construct a new host address from a string of the form "host:port" or of the form "host".
`protected` | `TCPRemoteCommitProvider.HostAddress(String host, int port)` Construct a new host address with the specified host and port.

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Field Detail

### DEFAULT_PORT

    protected static final int DEFAULT_PORT

### address

    protected InetAddress address

### port

    protected int port

Constructor Detail

### TCPRemoteCommitProvider.HostAddress

    protected TCPRemoteCommitProvider.HostAddress(String host,
                                                  int port)
                                           throws UnknownHostException

  Construct a new host address with the specified host and port.

### TCPRemoteCommitProvider.HostAddress

    protected TCPRemoteCommitProvider.HostAddress(String host)
                                           throws UnknownHostException

  Construct a new host address from a string of the form "host:port" or of the form "host".

Overview | Package | Class | Tree | Deprecated | Index | Help
| SolarMetric Kodo JDO 3.0.3 generated on February 20 2004
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: INNER | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright 2001,2002 SolarMetric, Inc. All Rights Reserved.